@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
    -webkit-tap-highlight-color: transparent;
}

ol,
ul {
    list-style: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

a {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

html,
main {
    scroll-behavior: smooth;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-text-fill-color: #1b2232 !important;
    caret-color: rgb(0, 0, 0) !important;
    transition: background-color 5000s ease-in-out 0s;
}

body {
    height: 100vh;
    background-color: #010101;
    color: #ffffff;
}

.container_login {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    height: 100%;
}

.div_dados_login {
    padding: 2rem;
    min-width: 500px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.container_input_login {
    display: flex;
    flex-direction: column;
    font-size: 14px;
    gap: 1rem;
    width: 100%;
}

.div_nav_esqueci_senha {
    text-align: center;
}

.img_fundo_login {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.div_img::after {
    content: '';
    position: absolute;
    background-color: rgba(0, 0, 0, 0.5);
    top: 0px;
    bottom: 0px;
    width: 100%;
}

.div_img {
    height: 100%;
    display: flex;
    position: relative;
}

.div_input_login {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.div_input_login span {
    font-size: 14px;
    font-weight: 500;
}

.input_login {
    padding: 0.8rem;
    background-color: #ffffff;
    outline: none;
    padding-left: 2.5rem;
    border-radius: 8px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    width: 100%;
}

.input_modal_login{
    padding: 0.8rem;
    background-color: #ffffff;
    outline: none;
    border-radius: 8px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    width: 100%;
}

.btn_entrar_login {
    padding: 0.7rem;
    background: linear-gradient(90deg, #A28358, #FBCB89);
    cursor: pointer;
    color: white;
    outline: none;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.conteudo_login {
    width: 100%;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.logo_login {
    height: 280px;
    object-fit: contain;
}

.div_nav_esqueci_senha span {
    font-size: 14px;
}

.texto_redefinir_senha {
    color: #FBCB89;
    font-weight: 500;
    cursor: pointer;
}

.div_input_senha {
    display: flex;
    position: relative;
    width: 100%;
}

.toggle-password {
    position: absolute;
    color: #1b2232;
    width: 20px;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);
    cursor: pointer;
}

.div_input_senha input {
    padding-right: 40px;
}

.container_redefinir_senha {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    pointer-events: none;
    transition: 0.3s opacity ease;
    opacity: 0;
    width: 100%;
    top: 0px;
    bottom: 0px;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal_redefinir_senha {
    background-color: #f6f7f9;
    border-radius: 12px;
    color: black;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.modal_redefinir_senha h2 {
    font-weight: 600;
    font-size: 16px;
    margin-bottom: 0.2rem;
}

.modal_redefinir_senha h3 {
    font-weight: 400;
    font-size: 14px;
}

.icone_input_login {
    position: absolute;
    color: #1b2232;
    width: 20px;
    top: 50%;
    left: 12px;
    transform: translateY(-50%);
}

.div_btn_modal {
    display: flex;
    align-items: center;
    gap: 1rem;
}


.btn_recuperar_senha {
    padding: 0.6rem;
    background: linear-gradient(90deg, #A28358, #FBCB89);
    cursor: pointer;
    color: white;
    outline: none;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    flex: 1;
}

.btn_fechar_modal {
    padding: 0.6rem;
    background-color: #232323;
    cursor: pointer;
    color: white;
    outline: none;
    flex: 1;
    border-radius: 8px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}